

import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';


class DestinationCard extends StatefulWidget {
  final String title;
  final String description;
  final String image;
  bool visited;

  @override
  _DestinationCardState createState() => _DestinationCardState();


  DestinationCard(this.title, this.description, this.image, this.visited);

  Widget build() {
    return Card(
      child: ListTile(
        leading: Icon(Icons.location_on),
        title: Text(title),
        subtitle: Text(description),
        onTap: () {
          // Navigator.pushNamed(context, '/destination');
        },
      ),
    );
  }
  
}

class _DestinationCardState extends State<DestinationCard> {
  @override
  Widget build(BuildContext context) {
    return Card();
  }

}