import 'package:fast_network_navigation/modules/destination_card.dart';
import 'package:flutter/material.dart';


List<Widget> loadDestinations() {
  List<Widget> cities =  [
    singleDestination(
      "New York",
      "The Big Apple",
      "https://upload.wikimedia.org/wikipedia/commons/thumb/3/34/View_of_New_York_City.jpg/800px-View_of_New_York_City.jpg"
    ),
    singleDestination(
      "Los Angeles",
      "City of Angels",
      "https://upload.wikimedia.org/wikipedia/commons/thumb/8/8d/Los_Angeles_City_Hall_2013.jpg/800px-Los_Angeles_City_Hall_2013.jpg"
    ),
    singleDestination(
      "Chicago",
      "The Windy City",
      "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6f/Chicago_skyline%2C_viewed_from_John_Hancock_Center.jpg/800px-Chicago_skyline%2C_viewed_from_John_Hancock_Center.jpg"
    ),
    singleDestination(
      "San Francisco",
      "The Golden City",
      "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6d/San_Francisco_City_Hall_2013.jpg/800px-San_Francisco_City_Hall_2013.jpg"
    ),
    singleDestination(
      "Miami",
      "The Magic City",
      "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Miami_collage.jpg/800px-Miami_collage.jpg"
    ),
    singleDestination(
      "Las Vegas",
      "Sin City",
      "https://upload.wikimedia.org/wikipedia/commons/thumb/6/6e/Las_Vegas_Strip.jpg/800px-Las_Vegas_Strip.jpg"
    ),
    singleDestination(
      "Seattle",
      "Emerald City",
      "https://upload.wikimedia.org/wikipedia/commons/thumb/2/2f/Seattle_Kerry_Park_Skyline.jpg/800px-Seattle_Kerry_Park_Skyline.jpg"
    ),
    singleDestination(
      "Boston",
      "Beantown",
      "https://upload.wikimedia.org/wikipedia/commons/thumb/0/0f/Boston_skyline_from_Longfellow_Bridge_September_2017_panorama_2.jpg/800px-Boston"
    )
  ];
  cities.shuffle();
  return cities;
}

Widget singleDestination(String title, String description, String image) {
  return Card(
    child: ListTile(
      leading: Icon(Icons.location_on),
      title: Text(title),
      subtitle: Text(description),
      onTap: () {
        // Navigator.pushNamed(context, '/destination');
      },
    ),
  );
}