from pydantic import BaseModel
from .landmarktype import LandmarkType
from .preferences import Preferences

class LandmarkTest(BaseModel) :
    name : str
    attractiveness : int
    loc : tuple

# Output to frontend
class Landmark(BaseModel) :
    name : str
    type: LandmarkType      # De facto mapping depending on how the query was executed with overpass. Should still EXACTLY correspond to the preferences
    location : tuple


    def score(preferences: Preferences):
        # loop through the preferences and assign a score


        return 29



